public class Messenger {
    private void send(String sender, String recipient) {
        System.out.println("Sending message from " + sender + " to " + recipient);
    }

    private boolean testForwardPass() {
        return System.getProperty("testpass").equals("forward");
    }

    public void testMessaging() {
        String user1 = "Natalie Wood";
        String user2 = "Abraham Lincoln";
        String user3 = "Grace Hopper";
        String user4 = "Pablo Diego José Francisco de Paula Juan Nepomuceno " +
            "María de los Remedios Cipriano de la Santísima Trinidad Ruiz y Picasso";

        send(user1, user2);

        if (testForwardPass()) {
            send(user2, user3);
        } else {
            send(user3, user2);
        }

        send(user3, user4);
    }

}
